package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.Resource;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.AggregationModel;
import com.lightinit.hsdataplatform.model.admin.ClassificationAndAggregationListModel;
import com.lightinit.hsdataplatform.model.admin.ClassificationAndAggregationSearchModel;

import java.util.List;

public interface IClassificationAndAggregationService {
    List<ClassificationAndAggregationListModel> queryList(ClassificationAndAggregationSearchModel inputModel);
    long queryCount(ClassificationAndAggregationSearchModel inputModel);

    Resource aggregation(long id);

    ResultState toAggregation(AggregationModel inputModel);
}
